Skip to main content
Agent Insight Monitors

List Agent Insights runs for a monitor

GET
/agent_insight_monitors/{monitor_id}/runs
Path Parameters
monitor_idstringrequired
The identifier of the monitor.
Query Parameters
afterstringoptional
A cursor that identifies the last item in the previous page.
beforestringoptional
A cursor that identifies the first item in the next page.
limitintegeroptionaldefault: 20
The maximum number of items to return. Defaults to 20.
orderstringoptionaldefault: desc
Sort order by creation time. Defaults to descending.
ascdesc
statusstringoptional
Filter runs by status.
queuedin_progresssucceededfailedcancelled
triggerstringoptional
Filter runs by trigger.
on_demandscheduled
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
AgentInsights=V1Preview
Responses
dataAgentInsightRun[]required
The requested list of items.
idstringrequired
Server-assigned unique identifier.
inputsAgentInsightRunCreate
Inputs used when creating an agent insight run.
resultAgentInsightRunResult
Result statistics produced when an agent insight run succeeds.
statusenumrequired
Extensible status values shared by Foundry jobs.
queuedin_progresssucceededfailedcancelled
errorOpenAI.Error
monitor_idstringrequired
The Agent Insights monitor this run belongs to.
agent_namestringrequired
The agent whose traces are analyzed by this run.
triggerenumrequired
The trigger that started an agent insight run.
on_demandscheduled
created_atintegerrequired
updated_atintegerrequired
window_startintegerrequired
window_endintegerrequired
started_atinteger
completed_atinteger
model_deployment_namestringrequired
The model deployment used to analyze traces for this run.
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.